Skip to main content
GET
/
v4
/
expenses
/
expenses
Get expenses
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v4/expenses/expenses \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sandbox.hurdlr.com/rest/v4/expenses/expenses"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox.hurdlr.com/rest/v4/expenses/expenses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "type": "BUSINESS",
    "date": "2023-11-07T05:31:56Z",
    "totalCost": 50.01,
    "vendorId": 123,
    "businessName": "<string>",
    "id": 123,
    "businessId": 123,
    "clientId": 123,
    "categoryId": 123,
    "personalCategoryId": 123,
    "vendorName": "United Airlines",
    "description": "Gas purchase",
    "pendingExpenseId": 123,
    "isPaid": true,
    "status": "ACTIVE",
    "salesTaxAmount": 1.01,
    "state": "DC",
    "frequency": "ONE_TIME",
    "apiExpenseId": "<string>",
    "plaidItemAccountId": 123,
    "plaidAccountNo": "<string>",
    "plaidDisplayName": "Citi Premier® Card",
    "plaidInstitutionId": "<string>",
    "lastUpdatedDate": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

lastUpdatedDate
string

Date filter - returns all records modified after the specified date

year
integer<int32>

Year filter (YYYY) - returns all records for the specified year. Null will use the current year

Response

200 - application/json

Successful operation

type
enum<string>
required

Type of the expense, required to create an expense

Available options:
BUSINESS,
NOT_BUSINESS
Example:

"BUSINESS"

date
string<date-time>
required

Date of the expense

totalCost
number
required

Total Cost of the expense, required to create an expense

Example:

50.01

vendorId
integer<int64>
required

Vendor Id associated with the expense, required to create an expense

businessName
string

Name of this business associated with this expense

id
integer<int64>

Id of the expense record, required when updating existing expense

businessId
integer<int64>

Id of business assigned to this expense, required for BUSINESS expenses

clientId
integer<int64>

Id of client assigned to this expense

categoryId
integer<int64>

Category Id of the expense, required for BUSINESS expenses

personalCategoryId
integer<int64>

Id of the personal category associated with this expense

vendorName
string

Name of this vendor associated with this expense

Example:

"United Airlines"

description
string

Description of expense

Example:

"Gas purchase"

pendingExpenseId
integer<int64>

The id of the PendingExpense associated with this expense

isPaid
boolean

Is expense paid, if not passed it will be defaulted true

status
enum<string>

Status of the expense

Available options:
ACTIVE,
DELETED
Example:

"ACTIVE"

salesTaxAmount
number

Sales Tax Amount for the expense

Example:

1.01

state
enum<string>

State value for expense sales tax amount

Available options:
UNKNOWN,
AL,
AK,
AS,
AZ,
AR,
CA,
CO,
CT,
DE,
DC,
FM,
FL,
GA,
GU,
HI,
ID,
IL,
IN,
IA,
KS,
KY,
LA,
ME,
MD,
MH,
MA,
MI,
MN,
MS,
MO,
MT,
NE,
NV,
NH,
NJ,
NM,
NY,
NC,
ND,
MP,
OH,
OK,
OR,
PW,
PA,
PR,
RI,
SC,
SD,
TN,
TX,
UT,
VT,
VI,
VA,
WA,
WV,
WI,
WY,
AB,
BC,
MB,
NB,
NL,
NT,
NS,
NU,
ON,
PE,
QC,
SK,
YT
Example:

"DC"

frequency
enum<string>

Frequency of the expense

Available options:
ONE_TIME,
WEEKLY,
MONTHLY,
YEARLY
Example:

"ONE_TIME"

apiExpenseId
string

Id of the expense record on associated API

plaidItemAccountId
integer<int64>

Foreign key to PlaidItemAccount

plaidAccountNo
string

The mask of the user's bank account

plaidDisplayName
string

Plaid's display name for this expense

Example:

"Citi Premier® Card"

plaidInstitutionId
string

Id associated with Plaid institution corresponding to this expense

lastUpdatedDate
string<date-time>